# -*- coding: utf-8 -*-

from django.contrib import admin
from django.conf.urls.defaults import patterns,url
import django.http as http
from django.views.generic import TemplateView

import contacts.admin_views as contacts_views

### Adminsite
class SiteGestionContacts(admin.sites.AdminSite):
    """
    Personnalisation de AdminSite pour ajouter nos vues.
    """
    index_template="admin/index_spec.html"
    def get_urls(self):
        """
        """
        urls = super(SiteGestionContacts, self).get_urls()
        my_urls = patterns(
            '',
            #(r'^test/$', self.my_view),
            
            url(r'^contacts/structure/(?P<pk>\d+)/donneesbio/add/$',
                self.admin_view(contacts_views.CreeDonneesBio.as_view()),
                {}, name='cree_donneesbio'),

            url(r'^contacts/donneesbio/(?P<pk>\d+)/validate/$',
                self.admin_view(contacts_views.ToggleValDonneesBio.as_view(
                        action='validate')),
                {}, name='val_donneesbio'),

            url(r'^contacts/donneesbio/(?P<pk>\d+)/unvalidate/$',
                self.admin_view(contacts_views.ToggleValDonneesBio.as_view(
                        action='unvalidate')),
                {}, name='unval_donneesbio'),

            url(r'^contacts/donneesbio/(?P<pk>\d+)/toggleval/$',
                self.admin_view(contacts_views.ToggleValDonneesBio.as_view(
                        action='toggle')),
                {}, name='toggleval_donneesbio'),

            url(r'^aide/$',
                self.admin_view(
                    TemplateView.as_view(template_name="aide.html")),
                {}, name='aide'),

        )
        return my_urls + urls

    def my_view(self, request):
        """Vue de test."""
        return http.HttpResponse("Hello, world.")

site = SiteGestionContacts()
# EOF
