# -*- coding: utf-8 -*-
import sys, os
import codecs, locale
from optparse import make_option

from django.core.management.base import LabelCommand, BaseCommand, CommandError
from django.core.exceptions import ValidationError

import contacts.models as cm
import mutils as Mu

def die(msg):
    print msg
    raise SystemExit

#sys.stdout = codecs.getwriter(locale.getpreferredencoding())(sys.stdout)

# NoArgsCommand, AppCommand, LabelCommand
class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('--no-dry-run', '-n', dest='dry_run', action='store_false',
                    default=True,
                    help='actually make change (default is dryrun)'),
        make_option('--list', '-l', dest='list', action='store_true',
                    default=False, help='list of available check/correct'),
    )
    help = (u"check database integrity: see --list for detail")

#    def handle(self, **options):
    def handle(self, *args, **options):
        self.args = args
        self.options = options
        if self.options['list']:
            print ("assolement: check/recalculate assolement total in DonneesBio\n"
                   "")
            exit()

        self.check_assolement()

    def check_assolement(self):
        print "## Check assolement total in donnee bio:"
        qs_elm = cm.DonneesBio.objects.all()
        cpt = Mu.ProgCpt("DonneesBio", 1, len(qs_elm))
        nerr = 0
        for elm in qs_elm:
            change, sau_total, sau_total_bio = elm.update_assolement(
                commit=not self.options['dry_run'])
            if change:
                nerr += 1
            cpt()
        cpt(last=True)
        print "Error %sed: %s" % (
            'detect' if self.options['dry_run'] else 'correct', nerr)
# EOF
