# -*- coding: utf-8 -*-
from django.utils.encoding import StrAndUnicode, force_unicode
from django.utils.safestring import mark_safe
from django import forms

class RadioFieldRenderer(forms.widgets.RadioFieldRenderer):
    def render(self):
        """Outputs a <ul> for this set of radio fields."""
        return mark_safe(u'<ul style="padding-left:60px;">\n%s\n</ul>' % u'\n'.join([u'<li style="display:inline;">%s</li>'
                % force_unicode(w) for w in self]))


class RadioSelect(forms.RadioSelect):
    renderer = RadioFieldRenderer

# EOF
